Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1178)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1179)
@@ -95,10 +95,11 @@
 #  module unload netcdf
 #  module load netcdf/3.6.3
-  export PATH=${PATH}:/ccc/cont003/home/dsm/p86ipsl/AddNoise/src_X64_CURIE/bin
-  export PATH=${PATH}:/ccc/cont003/home/dsm/p86ipsl/AddPerturbation/src_X64_CURIE/bin
 else
   . /ccc/cont003/home/dsm/p86ipsl/.atlas_env_netcdf4_curie_ksh > /dev/null 2>&1
   PCMDI_MP=/ccc/work/cont003/dsm/p86ipsl/PCMDI-MP
 fi
+export PATH=${PATH}:/ccc/cont003/home/dsm/p86ipsl/AddNoise/src_X64_CURIE/bin
+export PATH=${PATH}:/ccc/cont003/home/dsm/p86ipsl/AddPerturbation/src_X64_CURIE/bin
+export PATH=${PATH}:$( ccc_home -u p86ipsl )/rebuild/src_X64_CURIE/modipsl_v2_2_2_netcdf4.2/bin/
 
 #====================================================
@@ -159,4 +160,8 @@
 
 #====================================================
+#- OUTCOMMAND_PATH : tmp place to store command lines standard error and outputs
+OUTCOMMAND_PATH=/tmp
+
+#====================================================
 #- HOST_MPIRUN_COMMAND
 typeset -r HOST_MPIRUN_COMMAND=${HOST_MPIRUN_COMMAND:="/usr/bin/time ccc_mprun -E-K1"}
@@ -256,5 +261,5 @@
 function IGCM_sys_RshMaster {
   IGCM_debug_PushStack "IGCM_sys_RshMaster" $@
-  /bin/ksh <<-EOF
+  OUTCOMMAND_PATH=${OUTCOMMAND_PATH} /bin/ksh <<-EOF
     export libIGCM=${libIGCM}
     export DEBUG_debug=${DEBUG_debug}
@@ -313,7 +318,7 @@
   fi
   # keep standard input (stdin) for the loop onto temporary file
-  cat >/tmp/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
-
-  /bin/ksh </tmp/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
+  cat >${OUTCOMMAND_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
+
+  OUTCOMMAND_PATH=${OUTCOMMAND_PATH} /bin/ksh <${OUTCOMMAND_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
   if [ $? -gt 0 ] ; then
     echo "IGCM_sys_RshPost : erreur."
@@ -321,5 +326,5 @@
   fi
   # delete temporary file
-  \rm /tmp/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
+  \rm ${OUTCOMMAND_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
 
 # ============ FRONTEND  END  ============ #
@@ -387,5 +392,4 @@
 function IGCM_sys_SendMail {
   IGCM_debug_PushStack "IGCM_sys_SendMail" $@
-
   if ( $DEBUG_sys ) ; then
     echo "IGCM_sys_SendMail :" $@
@@ -412,4 +416,6 @@
   elif [ -f ~/.forward ] ; then
     mail -s "${config_UserChoices_JobName} ${status}" $( cat ~/.forward ) < mail.txt
+  else
+    mail -s "${config_UserChoices_JobName} ${status}" ${USER} < mail.txt
   fi
 
@@ -578,5 +584,5 @@
 #D-#==================================================
 #D-function IGCM_sys_IsFileArchived
-#D-* Purpose: Test file that must NOT EXISTS on Archive
+#D-* Purpose: Test file that must NOT EXISTS on Archive based on filename only
 #D-* Examples:
 #D-
@@ -714,13 +720,13 @@
   options="-o ${SUBMIT_DIR}/${Script_Output} -e ${SUBMIT_DIR}/${Script_Output}"
 
-  /usr/bin/ccc_msub ${options} $1 > /tmp/out_command.$$ 2>&1
+  /usr/bin/ccc_msub ${options} $1 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
-  cat /tmp/out_command.$$
+  cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   if [ ${status} -gt 0 ] ; then
     IGCM_debug_Print 2 "IGCM_sys_Qsub ${options} $1 : error code ${status}"
     IGCM_debug_Exit "IGCM_sys_Qsub"
   else
-    JobID=$( gawk {'print $4'} /tmp/out_command.$$ )
+    JobID=$( gawk {'print $4'} ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ )
   fi
   IGCM_debug_PopStack "IGCM_sys_Qsub"
@@ -748,13 +754,13 @@
   esac
 
-  /usr/bin/ccc_msub ${options} ${libIGCM_POST}/$1.job > /tmp/out_command.$$ 2>&1
+  /usr/bin/ccc_msub ${options} ${libIGCM_POST}/$1.job > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
-  cat /tmp/out_command.$$
+  cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   if [ ${status} -gt 0 ] ; then
     IGCM_debug_Print 2 "IGCM_sys_QsubPost ${options} ${libIGCM_POST}/$1.job : error code ${status}"
     IGCM_debug_Exit "IGCM_sys_QsubPost"
   else
-    JobID=$( gawk {'print $4'} /tmp/out_command.$$ )
+    JobID=$( gawk {'print $4'} ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ )
   fi
   IGCM_debug_PopStack "IGCM_sys_QsubPost"
@@ -891,11 +897,11 @@
   mkdir -p ${HOME}/MIRROR/${PATHlibIGCM}
 
-  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > /tmp/out_command.$$ 2>&1
-  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> /tmp/out_command.$$ 2>&1
+  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Mirror_libIGCM Warning : no libIGCM on frontend."
-    cat /tmp/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Mirror_libIGCM"
@@ -915,14 +921,14 @@
   typeset status
 
-  echo cp $@ > /tmp/out_command.$$ 2>&1
-  \cp $@ >> /tmp/out_command.$$ 2>&1
+  echo cp $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  \cp $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Cp : error code ${status}"
-    cat /tmp/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_Exit "IGCM_sys_Cp"
   else
-    \rm /tmp/out_command.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -942,14 +948,14 @@
   typeset status
 
-  echo rm $@ > /tmp/out_command.$$ 2>&1
-  \rm $@ >> /tmp/out_command.$$ 2>&1
+  echo rm $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  \rm $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Rm : error code ${status}"
-    cat /tmp/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_Exit "IGCM_sys_Rm"
   else
-    \rm /tmp/out_command.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -970,14 +976,14 @@
   typeset status
 
-  echo rm $@ > /tmp/out_command.$$ 2>&1
-  \rm $@ >> /tmp/out_command.$$ 2>&1
+  echo rm $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  \rm $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_RmRunDir : rm error code is ${status}."
-    cat /tmp/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_Exit "IGCM_sys_RmRunDir"
   else
-    \rm /tmp/out_command.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_RmRunDir"
@@ -999,14 +1005,14 @@
     typeset status
 
-    echo mv $@ > /tmp/out_command.$$ 2>&1
-    \mv $@ >> /tmp/out_command.$$ 2>&1
+    echo mv $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+    \mv $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Mv : error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Mv"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1038,13 +1044,13 @@
     #
     #USUAL WAY
-    \cp -r $1 $2 > /tmp/out_command.$$ 2>&1
+    \cp -r $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Dir : cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1078,5 +1084,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -ur $1 $2 >> /tmp/out_command.$$ 2>&1
+      \cp -ur $1 $2 >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ] ; then
@@ -1092,8 +1098,8 @@
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get_Dir : cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1126,5 +1132,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -urL $1 $2 > /tmp/out_command.$$ 2>&1
+      \cp -urL $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ]; then
@@ -1140,8 +1146,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Master : error."
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1175,27 +1181,27 @@
     #
     # USUAL WAY
-    \cp $1 $2 > /tmp/out_command.$$ 2>&1
+    \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
 #       #RSYNC WITH NETWORK SSH CALL
-#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
-      echo "IGCM_sys_Put_Rest : cp failed error code ${status}"
+      IGCM_debug_Print 2 "IGCM_sys_Put_Rest : cp failed error code ${status}"
       [ -f ${1} ] && ls -l ${1}
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
@@ -1206,5 +1212,5 @@
       fi
 
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1232,5 +1238,5 @@
     #
     # USUAL WAY
-    \cp $1 $2 > /tmp/out_command.$$ 2>&1
+    \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
@@ -1239,5 +1245,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
     else
@@ -1248,5 +1254,5 @@
       fi
 
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1318,9 +1324,9 @@
         if [ $( stat -c %d $1 ) -ne $( stat -c %d $( dirname $2 ) ) ] ; then
           # USUAL WAY
-          \cp $1 $2 > /tmp/out_command.$$ 2>&1
+          \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
           status=$?
         else
           # NOT SO USUAL WAY
-          \mv $1 $2 > /tmp/out_command.$$ 2>&1
+          \mv $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
           status=$?
         fi
@@ -1340,23 +1346,23 @@
 
 #       #RSYNC WITH NETWORK SSH CALL
-#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
-      echo "IGCM_sys_Put_Out : error."
+      IGCM_debug_Print 2 "IGCM_sys_Put_Out : cp failed error code ${status}"
       [ -f ${1} ] && ls -l ${1}
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Out"
     else
@@ -1369,5 +1375,5 @@
       fi
 
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1428,9 +1434,9 @@
         if [ $( stat -c %d $1 ) -ne $( stat -c %d $( dirname $2 ) ) ] ; then
           # USUAL WAY
-          \cp $1 $2 > /tmp/out_command.$$ 2>&1
+          \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
           status=$?
         else
           # NOT SO USUAL WAY
-          \mv $1 $2 > /tmp/out_command.$$ 2>&1
+          \mv $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
           status=$?
         fi
@@ -1452,5 +1458,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
@@ -1463,5 +1469,5 @@
       fi
 
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1497,29 +1503,29 @@
     fi
     eval DEST=\${${#}}
-    ccc_hsm get ${dm_liste[*]} > /tmp/out_command.$$ 2>&1
+    ccc_hsm get ${dm_liste[*]} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       echo "WARNING IGCM_sys_Get : error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       echo "WARNING IGCM_sys_Get : will stop later if the cp fails."
     fi
 
     #if [ ${status} -gt 0 ] ; then
-    #  if [ ! "X$( grep "Lost dmusrcmd connection" /tmp/out_command.$$ )" = "X" ] ; then
-    #    cat /tmp/out_command.$$
+    #  if [ ! "X$( grep "Lost dmusrcmd connection" ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ )" = "X" ] ; then
+    #    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     #    echo "WARNING IGCM_sys_Get : Lost dmusrcmd connection : "
     #    sleep 30
     #    echo "We try another time"
-    ##    dmget ${dm_liste[*]} > /tmp/out_command.$$ 2>&1
-    #    ccc_hsm get ${dm_liste[*]} > /tmp/out_command.$$ 2>&1
+    ##    dmget ${dm_liste[*]} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+    #    ccc_hsm get ${dm_liste[*]} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     #    status=$?
     #    if [ ${status} -gt 0 ] ; then
     #      echo "ERROR IGCM_sys_Get : again demigration error :"
-    #      cat /tmp/out_command.$$
+    #      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     #      IGCM_debug_Exit "IGCM_sys_Get"
     #    fi
     #  else
     #    echo "ERROR IGCM_sys_Get : demigration error :"
-    #    cat /tmp/out_command.$$
+    #    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     #    IGCM_debug_Exit "IGCM_sys_Get"
     #  fi
@@ -1527,15 +1533,15 @@
 
     #   #RSYNC WITH NETWORK SSH CALL
-    #   echo ${RSYNC} ${RSYNC_opt} -e ssh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > /tmp/out_command.$$ 2>&1
-    #   ${RSYNC} ${RSYNC_opt} -e ssh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> /tmp/out_command.$$ 2>&1
+    #   echo ${RSYNC} ${RSYNC_opt} -e ssh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+    #   ${RSYNC} ${RSYNC_opt} -e ssh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
     #   #RSYNC WITH NFS USE
-    #   echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > /tmp/out_command.$$ 2>&1
-    #   ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> /tmp/out_command.$$ 2>&1
+    #   echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+    #   ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
     #   status=$?
     #   IGCM_sys_Rsync_out $status
 
-    #   ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
+    #   ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     #   (( status=status+$? ))
 
@@ -1554,11 +1560,11 @@
           while [ $i -lt $NB_ESSAI ] ; do
             #if [ X${DoLink} = Xtrue ] ; then
-            #  \ln -s ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
+            #  \ln -s ${target} ${DEST}/${local_file} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
             #  status=$?
             #  else
-            #  \cp ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
+            #  \cp ${target} ${DEST}/${local_file} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
             #  status=$?
             #fi
-            \ln -s ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
+            \ln -s ${target} ${DEST}/${local_file} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
             status=$?
             if [ ${status} -gt 0 ]; then
@@ -1573,9 +1579,9 @@
           if [ ${status} -gt 0 ] ; then
             echo "IGCM_sys_Get : error"
-            cat /tmp/out_command.$$
-            \rm /tmp/out_command.$$
+            cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+            \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
             IGCM_debug_Exit "IGCM_sys_Get"
           else
-            \rm /tmp/out_command.$$
+            \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
           fi
         fi
@@ -1584,5 +1590,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${dm_liste} ${DEST} >> /tmp/out_command.$$ 2>&1
+        \cp ${dm_liste} ${DEST} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1597,9 +1603,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat /tmp/out_command.$$
-        \rm /tmp/out_command.$$
+        cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
         IGCM_debug_Exit "IGCM_sys_Get"
       else
-        \rm /tmp/out_command.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       fi
     fi
@@ -1642,5 +1648,5 @@
         i=0
         while [ $i -lt $NB_ESSAI ] ; do
-          \cp ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
+          \cp ${target} ${DEST}/${local_file} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
           status=$?
           if [ ${status} -gt 0 ]; then
@@ -1655,9 +1661,9 @@
         if [ ${status} -gt 0 ] ; then
           echo "IGCM_sys_Get : error"
-          cat /tmp/out_command.$$
-          \rm /tmp/out_command.$$
+          cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+          \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
           IGCM_debug_Exit "IGCM_sys_GetBuffer"
         else
-          \rm /tmp/out_command.$$
+          \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
         fi
       done
@@ -1665,5 +1671,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${buf_liste} ${DEST} >> /tmp/out_command.$$ 2>&1
+        \cp ${buf_liste} ${DEST} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1678,9 +1684,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat /tmp/out_command.$$
-        \rm /tmp/out_command.$$
+        cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
         IGCM_debug_Exit "IGCM_sys_GetBuffer"
       else
-        \rm /tmp/out_command.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       fi
     fi
@@ -1834,5 +1840,4 @@
     echo "IGCM_sys_Put_Dods :" $@
   fi
-  #set -vx
   typeset status
   if [ $DRYRUN = 0 ]; then
@@ -1909,10 +1914,10 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ~p86ipsl/rebuild/src_X64_CURIE/modipsl_v2_2_2_netcdf4.2/bin/rebuild -f -o $@ > /tmp/out_command.$$ 2>&1
+    rebuild -f -o $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_rebuild : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       firstArg=${1}
@@ -1920,5 +1925,5 @@
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2532,6 +2537,4 @@
   fi
 
-  #NbRun=$( ccc_mstat -f | grep -c ${JobName} )
-
   # With -f option, the full job name is given in the last column
   NbRun=$( ccc_mstat -f | gawk -v JobName=$1 'BEGIN { x=0 } ( $NF ~ JobName ) { x=x+1 } END { print x }' )
@@ -2590,14 +2593,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 -C "$@" > /tmp/out_command.$$ 2>&1
+    ncap2 -C "$@" > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2632,14 +2635,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncatted "$@" > /tmp/out_command.$$ 2>&1
+    ncatted "$@" > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncatted : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2674,14 +2677,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo -C $@ > /tmp/out_command.$$ 2>&1
+    ncbo -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncbo : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2716,14 +2719,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff -C $@ > /tmp/out_command.$$ 2>&1
+    ncdiff -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2758,14 +2761,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea -C $@ > /tmp/out_command.$$ 2>&1
+    ncea -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncea : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2800,14 +2803,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat -C $@ > /tmp/out_command.$$ 2>&1
+    ncecat -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncecat : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2842,14 +2845,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint -C $@ > /tmp/out_command.$$ 2>&1
+    ncflint -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncflint : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2884,14 +2887,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks -C $@ > /tmp/out_command.$$ 2>&1
+    ncks -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncks : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2926,14 +2929,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq -C $@ > /tmp/out_command.$$ 2>&1
+    ncpdq -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2968,14 +2971,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra -C $@ > /tmp/out_command.$$ 2>&1
+    ncra -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncra : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -3010,24 +3013,24 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat -C $@ > /tmp/out_command.$$ 2>&1
+    ncrcat -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
-    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" /tmp/out_command.$$ )" = "X" ] ; then
+    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       # remove files having corrupted time axis
       eval lastArg=\${$#}
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
       \rm ${lastArg}
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -3062,14 +3065,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrename $@ > /tmp/out_command.$$ 2>&1
+    ncrename $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrename : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
